| Disk ARchive 2.6.12 Full featured and portable backup and archiving tool

Public Member Functions | Private Member Functions | Static Private Member Functions | Private Attributes | List of all members
libdar::archive_version Class Reference
API

class archive_version manages the version of the archive format More...

`#include <archive_version.hpp>`

## Public Member Functions
| archive_version (U_16 x=0, unsigned char fix=0)
| archive_version constructor More...
| archive_version (const archive_version &ref)=default
| archive_version (archive_version &&ref) noexcept=default
archive_version & | operator= (const archive_version &ref)=default
archive_version & | operator= (archive_version &&ref) noexcept=default
bool | operator< (const archive_version &ref) const
bool | operator>= (const archive_version &ref) const
bool | operator== (const archive_version &ref) const
bool | operator!= (const archive_version &ref) const
bool | operator> (const archive_version &ref) const
bool | operator<= (const archive_version &ref) const
void | dump (generic_file &f) const
void | read (generic_file &f)
std::string | display () const
| provides the version information as a human readable string

## Private Member Functions
U_I | value () const

## Static Private Member Functions
static unsigned char | to_digit (unsigned char val)
static unsigned char | to_char (unsigned char val)

## Private Attributes
U_16 | version
unsigned char | fix

## Detailed Description

class archive_version manages the version of the archive format

Definition at line 46 of file archive_version.hpp.

## Constructor & Destructor Documentation

## ◆ archive_version()

libdar::archive_version::archive_version | ( | U_16 | x = `0`,
|  | unsigned char | fix = `0`
| ) |  |

archive_version constructor

Parameters

  [in] | x | is the version number
  [in] | fix | is a decimal-like

Note
  the fix argument must only be used when the current stable version need to be increased due to a bug fix. This let the concurrent development version to keep the same version (usually x+1) while having the stable version using a slightly different format to fix a bug.

The documentation for this class was generated from the following file:

- archive_version.hpp